curl "https://api.liquid.tf/api/dev/set_user_agent" \
-H "X-API-Key: YOUR_SITE_API_KEY"
const response = await fetch('https://api.liquid.tf/api/dev/set_user_agent', {
headers: {
'X-API-Key': 'YOUR_SITE_API_KEY'
}
});
const data = await response.json();
console.log('Refresh at:', new Date(data.refresh_at * 1000));
import requests
import time
response = requests.get(
'https://api.liquid.tf/api/dev/set_user_agent',
headers={'X-API-Key': 'YOUR_SITE_API_KEY'}
)
data = response.json()
print(f'Refresh at: {time.ctime(data["refresh_at"])}')
{
"refresh_at": 1704067800
}
User Management
Set User Agent
Mark your listings and buy orders as automated
GET
/
api
/
dev
/
set_user_agent
curl "https://api.liquid.tf/api/dev/set_user_agent" \
-H "X-API-Key: YOUR_SITE_API_KEY"
const response = await fetch('https://api.liquid.tf/api/dev/set_user_agent', {
headers: {
'X-API-Key': 'YOUR_SITE_API_KEY'
}
});
const data = await response.json();
console.log('Refresh at:', new Date(data.refresh_at * 1000));
import requests
import time
response = requests.get(
'https://api.liquid.tf/api/dev/set_user_agent',
headers={'X-API-Key': 'YOUR_SITE_API_KEY'}
)
data = response.json()
print(f'Refresh at: {time.ctime(data["refresh_at"])}')
{
"refresh_at": 1704067800
}
Overview
Sets the user agent timestamp for the authenticated user, indicating that a bot is actively running. This causes your listings and buy orders to show as “automated” for 10 minutes (600 seconds).Call this endpoint every 5-9 minutes from your bot to maintain automated status (expires after 10 minutes).
Authentication
string
required
Your site API key
Rate Limit
1 request per minuteQuery Parameters
string
Comma-separated list of linked account Steam IDs to also set user agent for.Example:
76561198001234567,76561198007654321Response
integer
Unix timestamp when the user agent will expire (current time + 600 seconds).
Your bot should refresh before this time.
curl "https://api.liquid.tf/api/dev/set_user_agent" \
-H "X-API-Key: YOUR_SITE_API_KEY"
const response = await fetch('https://api.liquid.tf/api/dev/set_user_agent', {
headers: {
'X-API-Key': 'YOUR_SITE_API_KEY'
}
});
const data = await response.json();
console.log('Refresh at:', new Date(data.refresh_at * 1000));
import requests
import time
response = requests.get(
'https://api.liquid.tf/api/dev/set_user_agent',
headers={'X-API-Key': 'YOUR_SITE_API_KEY'}
)
data = response.json()
print(f'Refresh at: {time.ctime(data["refresh_at"])}')
{
"refresh_at": 1704067800
}
How It Works
1
Set user agent
Call this endpoint from your bot
2
Automated status active
Your listings/buy orders show a lightning icon (⚡) for 10 minutes
3
Refresh before expiry
Call again before
refresh_at timestamp to maintain statusLinked Accounts
Whenmultiaccounts is provided:
- The user agent is set for those linked accounts in addition to the main account
- Listings/buy orders created with a
multiaccount_proxywill check that linked account’s user agent status - For buy orders, automation status can be triggered by either the linked account’s user agent OR the main account’s autoaccept feature
The lightning icon indicates automated listings/buy orders, helping users know they’ll receive instant trade offers.
